Fatal Error on load today, any info?

Hello all, loaded up the site the storefront today and was greeted with a fatal error. Any idea what could be causing this just from a glance? Any help or insight is greatly appreciated, i’m still learning the ins and outs of cscart.

The error is reads:
Fatal error: Uncaught Error: Call to undefined function Tygh\get_magic_quotes_gpc() in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php:218 Stack trace: #0 /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php(193): Tygh\Bootstrap::setConstants(Array, ‘/home2/punchedt…’) #1 /home2/punchedt/public_html/piercedtin/cscart/init.php(27): Tygh\Bootstrap::initEnv(Array, Array, Array, ‘/home2/punchedt…’) #2 /home2/punchedt/public_html/piercedtin/cscart/index.php(24): require(‘/home2/punchedt…’) #3 {main} thrown in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php on line 218

The site URL is

https://piercedtin.com/cscart/

Thanks all! I hope to have this up and running before the day is over. :stuck_out_tongue:

May be php version was updated by the hosting and your CS-Cart version does not support it?

It looks like my host company (A small Orange) is running 8.2, i believe it’s been on 8.2 for quite awhile without any incident. Could it be related to my CScart? My main website link loads, just nothing attatched to cscart will load.

Homepage (working) - https://piercedtin.com/
Shopfront link (Fatal errors) - https://piercedtin.com/cscart/about-our-company/

This is what the error_log states

[19-Nov-2023 19:31:22 America/New_York] PHP Notice: Undefined offset: 181 in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Shippings/Services/Usps.php on line 496
[19-Nov-2023 19:31:22 America/New_York] PHP Notice: Undefined offset: 182 in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Shippings/Services/Usps.php on line 496
[19-Nov-2023 19:31:22 America/New_York] PHP Notice: Undefined offset: 100 in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Shippings/Services/Usps.php on line 496
[21-Nov-2023 02:40:58 UTC] PHP Fatal error: Uncaught Error: Call to undefined function Tygh\get_magic_quotes_gpc() in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php:218
Stack trace:
#0 /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php(193): Tygh\Bootstrap::setConstants(Array, ‘/home2/punchedt…’)
#1 /home2/punchedt/public_html/piercedtin/cscart/init.php(27): Tygh\Bootstrap::initEnv(Array, Array, Array, ‘/home2/punchedt…’)
#2 /home2/punchedt/public_html/piercedtin/cscart/index.php(24): require(‘/home2/punchedt…’)
#3 {main}
** thrown in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php on line 218**
[21-Nov-2023 02:41:37 UTC] PHP Fatal error: Uncaught Error: Call to undefined function Tygh\get_magic_quotes_gpc() in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php:218
Stack trace:
#0 /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php(193): Tygh\Bootstrap::setConstants(Array, ‘/home2/punchedt…’)
#1 /home2/punchedt/public_html/piercedtin/cscart/init.php(27): Tygh\Bootstrap::initEnv(Array, Array, Array, ‘/home2/punchedt…’)
#2 /home2/punchedt/public_html/piercedtin/cscart/index.php(24): require(‘/home2/punchedt…’)
#3 {main}
** thrown in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php on line 218**
[21-Nov-2023 02:41:58 UTC] PHP Fatal error: Uncaught Error: Call to undefined function Tygh\get_magic_quotes_gpc() in /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php:218
Stack trace:
#0 /home2/punchedt/public_html/piercedtin/cscart/app/Tygh/Bootstrap.php(193): Tygh\Bootstrap::setConstants(Array, ‘/home2/punchedt…’)
#1 /home2/punchedt/public_html/piercedtin/cscart/init.php(27): Tygh\Bootstrap::initEnv(Array, Array, Array, ‘/home2/punchedt…’)
#2 /home2/punchedt/public_html/piercedtin/cscart/index.php(24): require(‘/home2/punchedt…’)
#3 {main}

It just repeats like that since it started on the 21st.

At first I suggest you to switch to officially supported version

PHP 7.1 is supported starting with CS-Cart/Multi-Vendor 4.6.1.
PHP 7.2 is supported starting with CS-Cart/Multi-Vendor 4.7.2.
PHP 7.3 is supported starting with CS-Cart/Multi-Vendor 4.11.1.
PHP 7.4 is supported starting with CS-Cart/Multi-Vendor 4.12.1.
PHP 8.0 is supported starting with CS-Cart/Multi-Vendor 4.15.1.
PHP 8.1 is supported starting with CS-Cart/Multi-Vendor 4.17.1.

1 Like

If i manually upgrade the CScart will all my store settings be the same? Can you give me a rundown on how to upgrade without breaking anything in the storefront?

Many details can be found here

Just in case, make a full backup in the server control panel before the upgrade

What PHP is CScart Store builder free application compatible with? The version of the store builder free that is installed is 4.2.4

Please use PHP 5.6 for your version